Bug 14172 - az_IR: new locale
Summary: az_IR: new locale
Status: NEW
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-26 20:34 IST by Mousa Moradi
Modified: 2016-02-19 07:02 IST (History)
7 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
glibc locale definition file for az_IR (2.66 KB, application/octet-stream)
2012-05-26 20:34 IST, Mousa Moradi
Details
The updated locale file for South Azerbaijani language. (2.64 KB, text/plain)
2014-05-01 23:32 IST, Mousa Moradi
Details
The update 2-letter version of locale file. (2.63 KB, text/plain)
2014-05-02 11:40 IST, Mousa Moradi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mousa Moradi 2012-05-26 20:34:34 IST
Created attachment 6425 [details]
glibc locale definition file for az_IR

Dear glibc maintainers,

Please find the attached locale definition for az_IR to be considered for inclusion in glibc.

Additional details about this locale:
Azerbaijani languages is the second most used language in Iran, after the official Persian, and has 11 - 20 millions of speakers in Iran.
Azerbaijani languages in Iran differs from that of Azerbaijan in writing system which is based on arabic script against latic script of Azerbaijan, and a few of words.
More information:
http://en.wikipedia.org/wiki/Azerbaijani_language
http://en.wikipedia.org/wiki/South_Azerbaijani_language

Thanks for your attention,
Mousa Moradi
Comment 1 -EMail Hidden- 2012-08-17 14:54:54 IST
So? From the article it is clear that Azeri in arabic script has no orthograpy, sort order or even the alphabet. Locales should represent official codified standards of languages, not everything that some internet community has invented or uses.
Comment 2 Mousa Moradi 2012-10-11 09:24:01 IST
Thanks for your attention, I was losing hope!

Actually it has orthography. This file contains the results of orthography sessions held by our linguists and pioneer of our language, that led to standardization of this language, and is now widely accepted and in use:
http://azeri.org/Azeri/az_arabic/azturk_standard.pdf

This language also has its own ISO 639-3 code as an independent and official language: "azb". This is some information about this code and language in some well known linguistic websites:
http://www.ethnologue.com/show_language.asp?code=azb
http://www.llmap.org/languages/azb.html
http://globalrecordings.net/en/langcode/azb

It is not a community invented language, there are numerous publications, broadcasting, historical resources and internet resources available on it.

However since it can almost be written with Persian keyboard and also due to lack of our efforts, it has not been standardized in computer world and does not have its own standard keyboard layout, or computer locale. As a first step we need it to be accepted in glibc and then continue working on it.
Comment 3 Andreas Jaeger 2012-11-16 11:14:00 IST
Should this be az_IR or azb_IR? Looking at your latest comments I guess it should be azb, shouldn't it?
Comment 4 Mousa Moradi 2012-11-17 07:50:46 IST
Both can be correct, but I see in the other locales that the 2-character codes (ISO-639-1) are used, so I though it should be az_IR. The north Azerbaijani locale is submitted as az_AZ, if we were to use ISO-639-3 codes, it should've been azj_AZ.
I don't insist on any name. Please use which one you see to be suitable.
Comment 5 keld@keldix.com 2012-11-17 16:08:29 IST
On Sat, Nov 17, 2012 at 07:50:46AM +0000, mousamk at gmail dot com wrote:
> http://sourceware.org/bugzilla/show_bug.cgi?id=14172
> 
> --- Comment #4 from Mousa Moradi <mousamk at gmail dot com> 2012-11-17 07:50:46 UTC ---
> Both can be correct, but I see in the other locales that the 2-character codes
> (ISO-639-1) are used, so I though it should be az_IR. The north Azerbaijani
> locale is submitted as az_AZ, if we were to use ISO-639-3 codes, it should've
> been azj_AZ.
> I don't insist on any name. Please use which one you see to be suitable.

We should use the 2-letter code if it exists.
This is in accodannce with practice, and also Internet practice
and the ISO standard on POSIX and Linux locales.

best regards
Keld
Comment 6 Mousa Moradi 2012-11-17 22:20:07 IST
(In reply to comment #5)
> 
> We should use the 2-letter code if it exists.
> This is in accodannce with practice, and also Internet practice
> and the ISO standard on POSIX and Linux locales.
> 
> best regards
> Keld

I'm OK with that.
My original request was with 2-letter code, too.

Thanks for attention.
Comment 7 Andreas Jaeger 2012-11-18 06:28:20 IST
We have aze which is aliased to az for Azerbaijani and azb for Southern Azerbaijani.

So, using az is correct since it's the two letter form.

There's no two letter form for Southern Azerbaijani and thus we should use azb.
Comment 8 Mousa Moradi 2012-11-19 10:09:03 IST
(In reply to comment #7)
> We have aze which is aliased to az for Azerbaijani and azb for Southern
> Azerbaijani.
> 
> So, using az is correct since it's the two letter form.
> 
> There's no two letter form for Southern Azerbaijani and thus we should use azb.

Please note that according to ISO-639-3, 'az' (or 'aze') is a macrolanguage and has 'azj' (North Azerbaijani) and 'azb' (South Azerbaijani) as sublanguages. The language in az_AZ is North Azerbaijani and not only a simple "Azerbaijani"

   az(aze)
     /\
    /  \
  azj  azb

Your dividing of this to "Azerbaijani" and "South Azerbaijani" is not correct, since starting from ISO-639-3, one is macrolanguage and the other is a concrete language. 'azj' is some kind of 'az' but 'az' is not necessarily 'azj'.

And looking to the fact that North Azerbaijani is not spoken in Iran, az_IR implies 'azb'.
Comment 9 Andreas Jaeger 2012-11-19 19:34:53 IST
My understanding of ISO 639 is that aze is an alias for az - and our rule is to use the two letter form if it exists. You're requesting aze AFAIU.

But since it seems you don't agree with my interpration and I won't have time in the next few weeks to dig deeper into this, I let others comment and take over.
Comment 10 Mousa Moradi 2012-11-20 17:11:57 IST
Sorry to hear!
I just tried to say that az_IR is correct and there's no need to break the usual pattern of using two-letter codes.
Of course azb_IR is more accurate but az_IR is not incorrect and as many other language have used two-letter codes like sorani kurdish, northern azerbaijani and ..., we can also use that in this case.
Comment 11 Mousa Moradi 2014-05-01 23:32:52 IST
Created attachment 7576 [details]
The updated locale file for South Azerbaijani language.
Comment 12 Mousa Moradi 2014-05-01 23:34:52 IST
Ok, It's been two years now that I've been waiting! Does adding a simple locale takes this much time? BTW I think having a 3-letter code is better than having nothing. So if the problem was the choice of azb_IR or az_IR, I think both is correct (although I think az_IR is more suitable) and I have no problem with each one. I even updated the locale file for azb_IR coding.
Comment 13 Allan McRae 2014-05-02 08:09:07 IST
Send a copy to the libc-alpha mailing list to get it pushed forward.
Comment 14 Matreeks 2014-05-02 10:04:43 IST
Dear maintainers,

As you may konw, we, Azerbaijani people in Iran, can not write in our language in computer based systems. The main reason is that our language alphabet definitions has not been yet registerd and supported in Linux based or other computer operating systems. I have reviewed the proposed definition files and I could say that they are indicators of our Arabic-alphabet-based writing system. I would like to ask maintainers and admins about a little bit more acceleration in registering and supporting our language in this systems, while millions of Azerbaijani people in Iran are really waiting to see their language has been supported by world's leading computer operating system.

Best Regards

Matreeks
Comment 15 Mousa Moradi 2014-05-02 11:40:39 IST
Created attachment 7580 [details]
The update 2-letter version of locale file.

The is alternative for the 3-version code. I'm adding it to have both options.